Manifest-Version: 1.0
Bnd-LastModified: 1717499630490
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 111.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="4.1.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.7.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.service.persistence,c
 om.liferay.portal.kernel.systemevent,com.liferay.portal.kernel.transa
 ction,com.liferay.portal.kernel.util",com.liferay.announcements.kerne
 l.service.persistence;version="3.4.0";uses:="com.liferay.announcement
 s.kernel.exception,com.liferay.announcements.kernel.model,com.liferay
 .portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.
 portal.kernel.service.persistence,com.liferay.portal.kernel.util",com
 .liferay.announcements.kernel.util;version="2.0.0";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.security.permission,com.liferay.portal.kernel.theme",co
 m.liferay.asset.kernel;version="2.1.0";uses:="com.liferay.asset.kerne
 l.model,com.liferay.portal.kernel.exception",com.liferay.asset.kernel
 .configuration.provider;version="1.0.0";uses:="com.liferay.portal.ker
 nel.module.configuration",com.liferay.asset.kernel.exception;version=
 "3.0.1";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kern
 el.exception",com.liferay.asset.kernel.model;version="10.0.0";uses:="
 com.liferay.dynamic.data.mapping.kernel,com.liferay.exportimport.kern
 el.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.l
 iferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.model.change.tracking,com.liferay.portal.kernel.mo
 del.wrapper,com.liferay.portal.kernel.portlet,com.liferay.portal.kern
 el.resource.bundle,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.theme,com.liferay.portal.kernel.util,javax.port
 let,javax.servlet,javax.servlet.http",com.liferay.asset.kernel.model.
 adapter;version="3.1.0";uses:="com.liferay.asset.kernel.model,com.lif
 eray.portal.kernel.model",com.liferay.asset.kernel.search;version="1.
 0.0";uses:="com.liferay.asset.kernel.service.persistence,com.liferay.
 portal.kernel.search",com.liferay.asset.kernel.service;version="8.2.0
 ";uses:="com.liferay.asset.kernel.model,com.liferay.asset.kernel.serv
 ice.persistence,com.liferay.exportimport.kernel.lar,com.liferay.petra
 .function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.c
 ache.thread.local,com.liferay.portal.kernel.change.tracking,com.lifer
 ay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.increment,com.liferay.portal.kernel.json,com.lifera
 y.portal.kernel.jsonwebservice,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.security.access.
 control,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.change.tracking,com.liferay.portal.kernel.service.permission,c
 om.liferay.portal.kernel.service.persistence,com.liferay.portal.kerne
 l.service.persistence.change.tracking,com.liferay.portal.kernel.syste
 mevent,com.liferay.portal.kernel.transaction,com.liferay.portal.kerne
 l.util",com.liferay.asset.kernel.service.persistence;version="10.1.0"
 ;uses:="com.liferay.asset.kernel.exception,com.liferay.asset.kernel.m
 odel,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.dao.
 search,com.liferay.portal.kernel.model,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 util",com.liferay.asset.kernel.util;version="2.0.0",com.liferay.asset
 .kernel.validator;version="2.0.0";uses:="com.liferay.portal.kernel.ex
 ception",com.liferay.background.task.kernel.util.comparator;version="
 1.1.0";uses:="com.liferay.portal.kernel.backgroundtask,com.liferay.po
 rtal.kernel.util",com.liferay.counter.kernel;version="2.2.0",com.life
 ray.counter.kernel.exception;version="1.0.0";uses:="com.liferay.porta
 l.kernel.exception",com.liferay.counter.kernel.model;version="4.1.0";
 uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.l
 iferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.model.wrapper,com
 .liferay.portal.kernel.util",com.liferay.counter.kernel.service;versi
 on="2.2.0";uses:="com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.transaction",com.liferay
 .counter.kernel.service.persistence;version="2.0.2",com.liferay.docum
 ent.library.kernel;version="1.0.0";uses:="com.liferay.portal.kernel.e
 xception",com.liferay.document.library.kernel.antivirus;version="3.1.
 0";uses:="com.liferay.portal.kernel.exception",com.liferay.document.l
 ibrary.kernel.document.conversion;version="1.0.0",com.liferay.documen
 t.library.kernel.exception;version="4.2.0";uses:="com.liferay.portal.
 kernel.exception",com.liferay.document.library.kernel.model;version="
 8.2.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.exp
 ando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay.pet
 ra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.a
 nnotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.change.tracking,com.liferay.portal.
 kernel.model.wrapper,com.liferay.portal.kernel.repository.model,com.l
 iferay.portal.kernel.util",com.liferay.document.library.kernel.servic
 e;version="11.3.0";uses:="com.liferay.asset.kernel.model,com.liferay.
 document.library.kernel.exception,com.liferay.document.library.kernel
 .model,com.liferay.dynamic.data.mapping.kernel,com.liferay.exportimpo
 rt.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.qu
 ery,com.liferay.portal.kernel.cache.thread.local,com.liferay.portal.k
 ernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.increment,com.lifera
 y.portal.kernel.jsonwebservice,com.liferay.portal.kernel.lock,com.lif
 eray.portal.kernel.messaging.async,com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.se
 arch,com.liferay.portal.kernel.security.access.control,com.liferay.po
 rtal.kernel.service,com.liferay.portal.kernel.service.change.tracking
 ,com.liferay.portal.kernel.service.permission,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.por
 tal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.do
 cument.library.kernel.service.persistence;version="6.1.0";uses:="com.
 liferay.document.library.kernel.exception,com.liferay.document.librar
 y.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.k
 ernel.service,com.liferay.portal.kernel.service.persistence,com.lifer
 ay.portal.kernel.service.persistence.change.tracking,com.liferay.port
 al.kernel.util",com.liferay.document.library.kernel.store;version="5.
 0.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.transaction",com.liferay.document.lib
 rary.kernel.util;version="8.0.0";uses:="com.liferay.document.library.
 kernel.exception,com.liferay.document.library.kernel.model,com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portl
 et",com.liferay.document.library.kernel.util.comparator;version="3.0.
 0";uses:="com.liferay.document.library.kernel.model,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.util",com.liferay
 .document.library.kernel.versioning;version="1.0.0";uses:="com.lifera
 y.document.library.kernel.model",com.liferay.dynamic.data.mapping.ker
 nel;version="5.0.0";uses:="com.liferay.expando.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.
 expando.kernel.exception;version="2.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.expando.kernel.model;version="6.0.0";uses
 :="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.lifer
 ay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.model.change.tracking,c
 om.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.util",com.liferay.expando.kernel.model.
 adapter;version="3.1.0";uses:="com.liferay.expando.kernel.model,com.l
 iferay.portal.kernel.model",com.liferay.expando.kernel.service;versio
 n="1.10.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.
 function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.ch
 ange.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kern
 el.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.security.access.control,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.service.change
 .tracking,com.liferay.portal.kernel.service.persistence,com.liferay.p
 ortal.kernel.service.persistence.change.tracking,com.liferay.portal.k
 ernel.transaction,com.liferay.portal.kernel.util",com.liferay.expando
 .kernel.service.permission;version="1.0.0";uses:="com.liferay.expando
 .kernel.model,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.security.permission",com.liferay.expando.kernel.service.persis
 tence;version="3.3.0";uses:="com.liferay.expando.kernel.exception,com
 .liferay.expando.kernel.model,com.liferay.portal.kernel.dao.orm,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.service.persis
 tence,com.liferay.portal.kernel.service.persistence.change.tracking,c
 om.liferay.portal.kernel.util",com.liferay.expando.kernel.util;versio
 n="4.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.
 kernel.service",com.liferay.exportimport.kernel.background.task;versi
 on="1.4.0",com.liferay.exportimport.kernel.configuration;version="5.0
 .0";uses:="com.liferay.exportimport.kernel.model,com.liferay.portal.k
 ernel.backgroundtask,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,javax.portlet",com.liferay.exportimport.kernel.co
 nfiguration.constants;version="1.0.0",com.liferay.exportimport.kernel
 .controller;version="2.0.0";uses:="com.liferay.exportimport.kernel.la
 r,com.liferay.exportimport.kernel.model",com.liferay.exportimport.ker
 nel.exception;version="2.1.0";uses:="com.liferay.exportimport.kernel.
 lar,com.liferay.portal.kernel.exception",com.liferay.exportimport.ker
 nel.lar;version="4.4.0";uses:="com.liferay.expando.kernel.model,com.l
 iferay.exportimport.kernel.model,com.liferay.portal.kernel.background
 task,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.uti
 l,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.zip,javax.p
 ortlet",com.liferay.exportimport.kernel.lifecycle;version="4.0.0";use
 s:="com.liferay.exportimport.kernel.lar,com.liferay.exportimport.kern
 el.model,com.liferay.portal.kernel.model",com.liferay.exportimport.ke
 rnel.lifecycle.constants;version="1.0.0",com.liferay.exportimport.ker
 nel.model;version="6.0.0";uses:="com.liferay.petra.sql.dsl,com.lifera
 y.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay
 .portal.kernel.bean,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.model.wrapper,com.liferay.portal.kernel.util",com.liferay.ex
 portimport.kernel.service;version="2.10.0";uses:="com.liferay.exporti
 mport.kernel.lar,com.liferay.exportimport.kernel.model,com.liferay.pe
 tra.sql.dsl.query,com.liferay.portal.kernel.dao.orm,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.jsonwebservice,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.p
 ortal.kernel.security.access.control,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.service.persistence,com.liferay.portal.ke
 rnel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.po
 rtal.kernel.util,javax.portlet",com.liferay.exportimport.kernel.servi
 ce.persistence;version="2.5.0";uses:="com.liferay.exportimport.kernel
 .exception,com.liferay.exportimport.kernel.model,com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.service.persistence,com.liferay.portal.kernel.util",com.liferay.
 exportimport.kernel.staging;version="2.3.0";uses:="com.liferay.export
 import.kernel.lar,com.liferay.exportimport.kernel.model,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.security.auth,com.liferay.
 portal.kernel.util,com.liferay.portal.kernel.workflow,com.liferay.por
 tal.kernel.xml,javax.portlet,javax.servlet.http",com.liferay.exportim
 port.kernel.staging.constants;version="1.0.0",com.liferay.exportimpor
 t.kernel.staging.permission;version="1.0.0";uses:="com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.security.permission",com.life
 ray.exportimport.kernel.xstream;version="2.0.0",com.liferay.layout.ad
 min.kernel.model;version="1.0.0";uses:="com.liferay.portal.kernel.mod
 el",com.liferay.layout.admin.kernel.visibility;version="2.0.0",com.li
 feray.layout.seo.kernel;version="2.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.theme,com.liferay.portal.kernel.util",com.liferay.layout.utility.p
 age.kernel;version="1.0.0";uses:="javax.servlet,javax.servlet.http",c
 om.liferay.layout.utility.page.kernel.constants;version="2.1.0",com.l
 iferay.layouts.admin.kernel.util;version="111.0.1",com.liferay.mail.k
 ernel.auth.token.provider;version="2.0.0",com.liferay.mail.kernel.mod
 el;version="1.1.0";uses:="javax.mail.internet",com.liferay.mail.kerne
 l.service;version="5.0.0";uses:="com.liferay.mail.kernel.model,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.transaction,j
 avax.mail",com.liferay.mail.kernel.template;version="2.0.0";uses:="co
 m.liferay.portal.kernel.util",com.liferay.portal.kernel.annotation;ve
 rsion="7.0.0",com.liferay.portal.kernel.aop;version="1.0.1",com.lifer
 ay.portal.kernel.application.type;version="1.0.0",com.liferay.portal.
 kernel.audit;version="8.0.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.json",com.liferay.portal.kernel.backgrou
 ndtask;version="11.0.0";uses:="com.liferay.petra.lang,com.liferay.por
 tal.kernel.backgroundtask.display,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.messaging,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.util",com.liferay.portal.kernel.bac
 kgroundtask.constants;version="1.1.0",com.liferay.portal.kernel.backg
 roundtask.display;version="3.0.0";uses:="com.liferay.portal.kernel.ba
 ckgroundtask,javax.servlet.http",com.liferay.portal.kernel.bean;versi
 on="10.1.0";uses:="javax.portlet,javax.servlet.http",com.liferay.port
 al.kernel.cache;version="14.0.0";uses:="com.liferay.portal.kernel.tra
 nsaction",com.liferay.portal.kernel.cache.index;version="6.2.0";uses:
 ="com.liferay.portal.kernel.cache",com.liferay.portal.kernel.cache.ke
 y;version="8.0.0";uses:="com.liferay.petra.string",com.liferay.portal
 .kernel.cache.thread.local;version="2.0.0";uses:="com.liferay.portal.
 kernel.transaction",com.liferay.portal.kernel.cache.transactional;ver
 sion="3.1.0";uses:="com.liferay.portal.kernel.cache,com.liferay.porta
 l.kernel.transaction",com.liferay.portal.kernel.cal;version="7.0.0",c
 om.liferay.portal.kernel.captcha;version="7.0.0";uses:="com.liferay.p
 ortal.kernel.exception,javax.portlet,javax.servlet.http",com.liferay.
 portal.kernel.change.tracking;version="2.2.0";uses:="com.liferay.petr
 a.lang,com.liferay.portal.kernel.exception",com.liferay.portal.kernel
 .change.tracking.sql;version="1.0.0";uses:="com.liferay.petra.lang",c
 om.liferay.portal.kernel.cluster;version="8.0.0";uses:="com.liferay.p
 ortal.kernel.concurrent,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.messaging,com.liferay.portal.kernel.util",com.lifera
 y.portal.kernel.cluster.messaging;version="7.1.0";uses:="com.liferay.
 portal.kernel.cluster,com.liferay.portal.kernel.messaging",com.lifera
 y.portal.kernel.comment;version="4.0.0";uses:="com.liferay.exportimpo
 rt.kernel.lar,com.liferay.portal.kernel.dao.orm,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.service,com.liferay
 .ratings.kernel.model",com.liferay.portal.kernel.comment.display.cont
 ext;version="1.0.0";uses:="com.liferay.portal.kernel.comment,com.life
 ray.portal.kernel.display.context,com.liferay.portal.kernel.exception
 ,javax.servlet.http",com.liferay.portal.kernel.concurrent;version="8.
 1.0",com.liferay.portal.kernel.configuration;version="7.0.0",com.life
 ray.portal.kernel.cookies;version="3.1.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.settings,javax.servlet.http
 ",com.liferay.portal.kernel.cookies.constants;version="1.1.0",com.lif
 eray.portal.kernel.dao.db;version="12.1.0";uses:="com.liferay.petra.f
 unction,javax.naming,javax.sql",com.liferay.portal.kernel.dao.jdbc;ve
 rsion="9.0.0";uses:="javax.naming,javax.sql",com.liferay.portal.kerne
 l.dao.jdbc.aop;version="8.0.0",com.liferay.portal.kernel.dao.jdbc.poo
 l.metrics;version="1.0.0",com.liferay.portal.kernel.dao.orm;version="
 12.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.
 function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.ca
 che,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.search,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.service.persistence,com.liferay.portal.ker
 nel.transaction,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.dao.search;version="9.0.0";uses:="com.liferay.petra.function,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.search,com.liferay.portal.kernel.util,javax.por
 tlet,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.depe
 ndency.manager;version="2.0.0",com.liferay.portal.kernel.deploy.auto;
 version="8.0.0";uses:="com.liferay.portal.kernel.deploy.auto.context,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.plugin"
 ,com.liferay.portal.kernel.deploy.auto.context;version="7.0.0";uses:=
 "com.liferay.portal.kernel.plugin",com.liferay.portal.kernel.deploy.h
 ot;version="7.1.2";uses:="com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.messaging,com.liferay.portal.kernel.plugin,com.lif
 eray.portal.kernel.util,javax.servlet",com.liferay.portal.kernel.disp
 lay.context;version="2.0.0";uses:="javax.servlet.http,org.osgi.framew
 ork",com.liferay.portal.kernel.display.context.helper;version="2.0.0"
 ;uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.por
 tlet,com.liferay.portal.kernel.security.permission,com.liferay.portal
 .kernel.theme,javax.servlet.http",com.liferay.portal.kernel.editor;ve
 rsion="8.0.0",com.liferay.portal.kernel.editor.configuration;version=
 "1.1.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kern
 el.portlet,com.liferay.portal.kernel.theme",com.liferay.portal.kernel
 .editor.constants;version="1.0.0",com.liferay.portal.kernel.encryptor
 ;version="1.0.0",com.liferay.portal.kernel.events;version="6.3.0";use
 s:="com.liferay.portal.kernel.exception,javax.portlet,javax.servlet.h
 ttp",com.liferay.portal.kernel.exception;version="13.1.0";uses:="com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.security.auth,c
 om.liferay.portal.kernel.util",com.liferay.portal.kernel.facebook;ver
 sion="7.0.0";uses:="com.liferay.portal.kernel.json,javax.portlet",com
 .liferay.portal.kernel.feature.flag;version="1.0.0",com.liferay.porta
 l.kernel.format;version="7.0.0",com.liferay.portal.kernel.frontend.es
 m;version="1.0.0",com.liferay.portal.kernel.frontend.source.map;versi
 on="1.0.0",com.liferay.portal.kernel.group.capability;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.im
 age;version="10.0.0";uses:="com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model",com.liferay.portal.kernel.increment;versi
 on="7.1.0";uses:="com.liferay.petra.lang",com.liferay.portal.kernel.i
 nstance.lifecycle;version="2.1.0";uses:="com.liferay.portal.kernel.mo
 del",com.liferay.portal.kernel.interval;version="1.0.0";uses:="com.li
 feray.portal.kernel.exception",com.liferay.portal.kernel.io;version="
 9.0.0",com.liferay.portal.kernel.io.constants;version="1.0.0",com.lif
 eray.portal.kernel.io.unsync;version="8.0.0";uses:="com.liferay.petra
 .string",com.liferay.portal.kernel.jazzy;version="1.0.0",com.liferay.
 portal.kernel.jmx.model;version="7.0.0";uses:="javax.management",com.
 liferay.portal.kernel.jndi;version="7.0.0";uses:="javax.naming",com.l
 iferay.portal.kernel.json;version="12.0.0";uses:="com.liferay.petra.f
 unction,com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .log",com.liferay.portal.kernel.jsonwebservice;version="9.0.0";uses:=
 "com.liferay.portal.kernel.exception,com.liferay.portal.kernel.util,j
 avax.servlet,javax.servlet.http",com.liferay.portal.kernel.language;v
 ersion="11.0.0";uses:="com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.resource.bundle,javax.portlet,javax.servlet.http",com
 .liferay.portal.kernel.language.constants;version="1.0.0",com.liferay
 .portal.kernel.layoutconfiguration.util;version="4.0.0";uses:="com.li
 feray.petra.string,com.liferay.portal.kernel.model,javax.servlet.http
 ",com.liferay.portal.kernel.license;version="1.0.0",com.liferay.porta
 l.kernel.license.messaging;version="3.0.0",com.liferay.portal.kernel.
 license.util;version="1.0.0";uses:="com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.license",com.liferay.portal.kernel.lock;versi
 on="9.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.po
 rtal.kernel.log;version="8.0.0",com.liferay.portal.kernel.login;versi
 on="1.0.0",com.liferay.portal.kernel.lpkg;version="2.0.0",com.liferay
 .portal.kernel.management;version="8.0.0";uses:="com.liferay.portal.k
 ernel.exception",com.liferay.portal.kernel.management.jmx;version="6.
 2.0";uses:="com.liferay.portal.kernel.jmx.model,com.liferay.portal.ke
 rnel.management,javax.management",com.liferay.portal.kernel.messaging
 ;version="15.0.0";uses:="com.liferay.portal.kernel.exception",com.lif
 eray.portal.kernel.messaging.async;version="6.2.0",com.liferay.portal
 .kernel.messaging.config;version="11.0.0";uses:="com.liferay.portal.k
 ernel.messaging",com.liferay.portal.kernel.metadata;version="10.0.0";
 uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.ker
 nel.exception",com.liferay.portal.kernel.microsofttranslator;version=
 "7.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.porta
 l.kernel.mobile.device;version="9.0.0";uses:="javax.servlet.http",com
 .liferay.portal.kernel.model;version="30.0.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.expando.kernel.model,com.liferay.exportimp
 ort.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.ba
 se,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.app
 lication.type,com.liferay.portal.kernel.bean,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.
 model.change.tracking,com.liferay.portal.kernel.model.portlet,com.lif
 eray.portal.kernel.model.wrapper,com.liferay.portal.kernel.notificati
 ons,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.pop,co
 m.liferay.portal.kernel.portlet,com.liferay.portal.kernel.scheduler,c
 om.liferay.portal.kernel.search,com.liferay.portal.kernel.security.pe
 rmission,com.liferay.portal.kernel.security.permission.propagator,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.servlet,com.
 liferay.portal.kernel.template,com.liferay.portal.kernel.theme,com.li
 feray.portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.
 portal.kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.p
 ortal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.
 kernel.model,javax.portlet,javax.servlet,javax.servlet.http",com.life
 ray.portal.kernel.model.adapter;version="5.1.0";uses:="com.liferay.po
 rtal.kernel.model",com.liferay.portal.kernel.model.adapter.builder;ve
 rsion="1.0.0",com.liferay.portal.kernel.model.cache;version="1.0.0",c
 om.liferay.portal.kernel.model.change.tracking;version="3.0.0";uses:=
 "com.liferay.portal.kernel.model",com.liferay.portal.kernel.model.dao
 ;version="2.5.0",com.liferay.portal.kernel.model.impl;version="7.2.0"
 ;uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.sec
 urity.permission,com.liferay.portal.kernel.service,javax.servlet.http
 ",com.liferay.portal.kernel.model.portlet;version="2.0.0";uses:="com.
 liferay.petra.string,javax.portlet",com.liferay.portal.kernel.model.r
 ole;version="1.2.0",com.liferay.portal.kernel.model.version;version="
 3.0.0",com.liferay.portal.kernel.model.wrapper;version="3.0.0";uses:=
 "com.liferay.expando.kernel.model,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.service",com.liferay.portal.kernel.module.conf
 iguration;version="2.1.0";uses:="com.liferay.portal.kernel.exception,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.settings",c
 om.liferay.portal.kernel.module.framework;version="1.4.0",com.liferay
 .portal.kernel.module.framework.service;version="1.0.1";uses:="com.li
 feray.portal.kernel.transaction,com.liferay.portal.kernel.util",com.l
 iferay.portal.kernel.monitoring;version="8.0.0";uses:="com.liferay.po
 rtal.kernel.exception,javax.portlet",com.liferay.portal.kernel.notifi
 cations;version="11.1.0";uses:="com.liferay.asset.kernel.model,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.json,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.service",com.lifera
 y.portal.kernel.openid;version="1.0.0",com.liferay.portal.kernel.pars
 ers.bbcode;version="7.0.0",com.liferay.portal.kernel.patcher;version=
 "8.0.0",com.liferay.portal.kernel.plugin;version="7.0.0";uses:="com.l
 iferay.portal.kernel.util",com.liferay.portal.kernel.pop;version="7.0
 .0";uses:="com.liferay.portal.kernel.exception,javax.mail",com.lifera
 y.portal.kernel.portlet;version="24.1.0";uses:="com.liferay.asset.ker
 nel.model,com.liferay.expando.kernel.model,com.liferay.exportimport.k
 ernel.lar,com.liferay.osgi.service.tracker.collections.map,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.notifications,com.lifer
 ay.portal.kernel.pop,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.security.per
 mission.propagator,com.liferay.portal.kernel.servlet,com.liferay.port
 al.kernel.settings,com.liferay.portal.kernel.template,com.liferay.por
 tal.kernel.theme,com.liferay.portal.kernel.trash,com.liferay.portal.k
 ernel.util,com.liferay.portal.kernel.webdav,com.liferay.portal.kernel
 .workflow,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.xml
 rpc,com.liferay.social.kernel.model,javax.portlet,javax.portlet.annot
 ations,javax.portlet.filter,javax.servlet,javax.servlet.http",com.lif
 eray.portal.kernel.portlet.async;version="1.0.1";uses:="javax.portlet
 ",com.liferay.portal.kernel.portlet.bridges.mvc;version="6.1.0";uses:
 ="com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.transac
 tion,javax.portlet",com.liferay.portal.kernel.portlet.bridges.mvc.con
 stants;version="1.0.0",com.liferay.portal.kernel.portlet.configuratio
 n.icon;version="5.0.0";uses:="com.liferay.osgi.service.tracker.collec
 tions.map,javax.portlet,javax.servlet,javax.servlet.http,org.osgi.fra
 mework",com.liferay.portal.kernel.portlet.configuration.icon.locator;
 version="1.0.0";uses:="javax.portlet",com.liferay.portal.kernel.portl
 et.constants;version="1.4.0",com.liferay.portal.kernel.portlet.render
 ;version="1.0.0";uses:="com.liferay.portal.kernel.model,javax.servlet
 .http",com.liferay.portal.kernel.portlet.toolbar;version="1.0.0";uses
 :="com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",com.lif
 eray.portal.kernel.portlet.toolbar.contributor;version="1.1.0";uses:=
 "com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",com.lifer
 ay.portal.kernel.portlet.toolbar.contributor.locator;version="1.0.0";
 uses:="com.liferay.portal.kernel.portlet.toolbar.contributor,javax.po
 rtlet",com.liferay.portal.kernel.portlet.url.builder;version="2.0.0";
 uses:="com.liferay.portal.kernel.portlet,javax.portlet,javax.portlet.
 annotations",com.liferay.portal.kernel.portletdisplaytemplate;version
 ="6.4.1";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.p
 ortal.kernel.template,javax.servlet.http",com.liferay.portal.kernel.p
 ortletfilerepository;version="5.0.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 repository.model,com.liferay.portal.kernel.search,com.liferay.portal.
 kernel.service,com.liferay.portal.kernel.theme,com.liferay.portal.ker
 nel.util",com.liferay.portal.kernel.redirect;version="1.0.0",com.life
 ray.portal.kernel.regex;version="1.0.0",com.liferay.portal.kernel.rep
 ository;version="13.0.0";uses:="com.liferay.asset.kernel.service,com.
 liferay.document.library.kernel.model,com.liferay.document.library.ke
 rnel.service,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 repository.capabilities,com.liferay.portal.kernel.repository.model,co
 m.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.sea
 rch,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util"
 ,com.liferay.portal.kernel.repository.capabilities;version="2.0.0";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.re
 pository,com.liferay.portal.kernel.repository.event,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.service,com.lifer
 ay.portal.kernel.util",com.liferay.portal.kernel.repository.event;ver
 sion="1.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.repository.model,com.liferay.portal.kernel.repository.re
 gistry",com.liferay.portal.kernel.repository.friendly.url.resolver;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.repository.model",com.liferay.portal.kernel.repository.
 http.header.customizer;version="1.0.0";uses:="com.liferay.portal.kern
 el.repository.model",com.liferay.portal.kernel.repository.model;versi
 on="11.2.0";uses:="com.liferay.expando.kernel.model,com.liferay.expor
 timport.kernel.lar,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.json,com.liferay.portal.kernel.lock,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.repository.capabilities,com.life
 ray.portal.kernel.security.permission,com.liferay.portal.kernel.util"
 ,com.liferay.portal.kernel.repository.proxy;version="7.0.0";uses:="co
 m.liferay.asset.kernel.service,com.liferay.document.library.kernel.mo
 del,com.liferay.document.library.kernel.service,com.liferay.expando.k
 ernel.model,com.liferay.exportimport.kernel.lar,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.lock,com.liferay.portal.kern
 el.repository,com.liferay.portal.kernel.repository.capabilities,com.l
 iferay.portal.kernel.repository.model,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.service,com.liferay.portal.kernel.util",com.liferay.portal.kerne
 l.repository.registry;version="1.1.0";uses:="com.liferay.portal.kerne
 l.repository,com.liferay.portal.kernel.repository.capabilities,com.li
 feray.portal.kernel.repository.event",com.liferay.portal.kernel.repos
 itory.search;version="7.0.0";uses:="com.liferay.portal.kernel.search"
 ,com.liferay.portal.kernel.repository.util;version="3.1.0";uses:="com
 .liferay.portal.kernel.repository.model",com.liferay.portal.kernel.re
 source;version="6.3.0",com.liferay.portal.kernel.resource.bundle;vers
 ion="1.0.0",com.liferay.portal.kernel.resource.manager;version="1.0.0
 ";uses:="com.liferay.portal.kernel.resource",com.liferay.portal.kerne
 l.sanitizer;version="8.0.0";uses:="com.liferay.portal.kernel.exceptio
 n",com.liferay.portal.kernel.scheduler;version="18.0.0";uses:="com.li
 feray.petra.function,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.messaging,com.liferay.portal.kernel.scheduler.messaging
 ,javax.portlet",com.liferay.portal.kernel.scheduler.messaging;version
 ="10.0.0";uses:="com.liferay.portal.kernel.messaging,com.liferay.port
 al.kernel.scheduler",com.liferay.portal.kernel.scripting;version="9.0
 .0";uses:="com.liferay.portal.kernel.exception,javax.portlet",com.lif
 eray.portal.kernel.search;version="20.1.0";uses:="com.liferay.asset.k
 ernel.model,com.liferay.expando.kernel.model,com.liferay.petra.functi
 on,com.liferay.petra.string,com.liferay.portal.kernel.backgroundtask,
 com.liferay.portal.kernel.comment,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.portlet,com.liferay.portal.kernel.repository.mod
 el,com.liferay.portal.kernel.search.facet,com.liferay.portal.kernel.s
 earch.filter,com.liferay.portal.kernel.search.geolocation,com.liferay
 .portal.kernel.search.query,com.liferay.portal.kernel.search.suggest,
 com.liferay.portal.kernel.security.permission,com.liferay.portal.kern
 el.theme,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet.ht
 tp",com.liferay.portal.kernel.search.analysis;version="2.0.0";uses:="
 com.liferay.portal.kernel.search",com.liferay.portal.kernel.search.ba
 ckground.task;version="2.1.0",com.liferay.portal.kernel.search.dummy;
 version="5.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.p
 ortal.kernel.search.filter,com.liferay.portal.kernel.search.suggest,c
 om.liferay.portal.kernel.security.permission,javax.portlet",com.lifer
 ay.portal.kernel.search.facet;version="9.0.0";uses:="com.liferay.port
 al.kernel.json,com.liferay.portal.kernel.search,com.liferay.portal.ke
 rnel.search.facet.collector,com.liferay.portal.kernel.search.facet.co
 nfig,com.liferay.portal.kernel.search.facet.util,com.liferay.portal.k
 ernel.search.filter",com.liferay.portal.kernel.search.facet.collector
 ;version="6.3.0",com.liferay.portal.kernel.search.facet.config;versio
 n="8.0.0";uses:="com.liferay.portal.kernel.json",com.liferay.portal.k
 ernel.search.facet.faceted.searcher;version="2.0.0";uses:="com.lifera
 y.portal.kernel.search",com.liferay.portal.kernel.search.facet.util;v
 ersion="7.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.po
 rtal.kernel.search.facet",com.liferay.portal.kernel.search.filter;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.search.geolocation",com.liferay.portal.kernel.search.generi
 c;version="3.0.0";uses:="com.liferay.portal.kernel.search,com.liferay
 .portal.kernel.search.filter,com.liferay.portal.kernel.search.query",
 com.liferay.portal.kernel.search.geolocation;version="1.0.0",com.life
 ray.portal.kernel.search.highlight;version="1.0.0";uses:="com.liferay
 .portal.kernel.search",com.liferay.portal.kernel.search.hits;version=
 "2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.portal.k
 ernel.search.query;version="2.0.0";uses:="com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.search.generic",com.liferay.portal.ke
 rnel.search.reindexer;version="1.0.0",com.liferay.portal.kernel.searc
 h.result;version="1.0.0";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.search,javax.portlet",com.liferay.portal.ker
 nel.search.suggest;version="3.1.1";uses:="com.liferay.portal.kernel.s
 earch",com.liferay.portal.kernel.security;version="6.2.0",com.liferay
 .portal.kernel.security.access.control;version="2.0.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.security.auth,
 com.liferay.portal.kernel.security.auth.verifier,javax.servlet.http",
 com.liferay.portal.kernel.security.auth;version="6.0.0";uses:="com.li
 feray.petra.lang,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.portal.
 kernel.security.auth.verifier,com.liferay.portal.kernel.security.perm
 ission,javax.servlet.http,org.osgi.framework,org.osgi.util.tracker",c
 om.liferay.portal.kernel.security.auth.http;version="1.1.0";uses:="co
 m.liferay.portal.kernel.exception,javax.servlet.http",com.liferay.por
 tal.kernel.security.auth.session;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.exception,javax.servlet.http",com.liferay.portal.kernel.
 security.auth.tunnel;version="1.0.0";uses:="com.liferay.portal.kernel
 .security.auth,javax.servlet.http",com.liferay.portal.kernel.security
 .auth.verifier;version="2.0.0";uses:="com.liferay.portal.kernel.secur
 ity.auth",com.liferay.portal.kernel.security.auto.login;version="2.0.
 0";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",com
 .liferay.portal.kernel.security.exportimport;version="1.0.0",com.life
 ray.portal.kernel.security.jaas;version="7.0.0";uses:="javax.security
 .auth,javax.security.auth.callback,javax.security.auth.login,javax.se
 curity.auth.spi",com.liferay.portal.kernel.security.ldap;version="2.0
 .0";uses:="javax.naming.directory",com.liferay.portal.kernel.security
 .membershippolicy;version="1.0.0";uses:="com.liferay.asset.kernel.mod
 el,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.util",com.liferay.portal.kernel.security.permission;version="6.5
 .0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.expres
 sion,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.securit
 y.permission.contributor,com.liferay.portal.kernel.security.permissio
 n.propagator,com.liferay.portal.kernel.xml,javax.servlet.http",com.li
 feray.portal.kernel.security.permission.comparator;version="1.0.0",co
 m.liferay.portal.kernel.security.permission.contributor;version="1.0.
 0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ecurity.permission",com.liferay.portal.kernel.security.permission.pro
 pagator;version="1.0.0";uses:="com.liferay.portal.kernel.exception,ja
 vax.portlet",com.liferay.portal.kernel.security.permission.resource;v
 ersion="2.2.0";uses:="com.liferay.exportimport.kernel.staging.permiss
 ion,com.liferay.petra.function,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.security.auth
 ,com.liferay.portal.kernel.security.permission,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.workflow.permission",com.lifera
 y.portal.kernel.security.permission.resource.definition;version="1.0.
 1";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.security.permission.resource",com.
 liferay.portal.kernel.security.permission.wrapper;version="1.0.0";use
 s:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.securit
 y.permission,com.liferay.portal.kernel.security.permission.contributo
 r",com.liferay.portal.kernel.security.pwd;version="4.0.0";uses:="com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.model",com.
 liferay.portal.kernel.security.service.access.policy;version="1.1.0",
 com.liferay.portal.kernel.security.sso;version="1.0.0";uses:="javax.s
 ervlet.http",com.liferay.portal.kernel.security.xml;version="2.0.0";u
 ses:="javax.xml.parsers,javax.xml.stream,javax.xml.transform,org.xml.
 sax",com.liferay.portal.kernel.service;version="23.1.0";uses:="com.li
 feray.announcements.kernel.model,com.liferay.expando.kernel.model,com
 .liferay.exportimport.kernel.lar,com.liferay.petra.function,com.lifer
 ay.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thread.local,c
 om.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.cl
 uster,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonw
 ebservice,com.liferay.portal.kernel.messaging.async,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.notifications,com.liferay.po
 rtal.kernel.plugin,com.liferay.portal.kernel.portlet,com.liferay.port
 al.kernel.repository.model,com.liferay.portal.kernel.search,com.lifer
 ay.portal.kernel.security.access.control,com.liferay.portal.kernel.se
 curity.auth,com.liferay.portal.kernel.security.permission,com.liferay
 .portal.kernel.service.change.tracking,com.liferay.portal.kernel.serv
 ice.configuration,com.liferay.portal.kernel.service.permission,com.li
 feray.portal.kernel.service.persistence,com.liferay.portal.kernel.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.settings,c
 om.liferay.portal.kernel.spring.aop,com.liferay.portal.kernel.systeme
 vent,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.transa
 ction,com.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.uti
 l,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet,javax.ser
 vlet.http",com.liferay.portal.kernel.service.change.tracking;version=
 "1.0.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.m
 odel.change.tracking,com.liferay.portal.kernel.service.persistence.ch
 ange.tracking,com.liferay.portal.kernel.transaction",com.liferay.port
 al.kernel.service.configuration;version="1.1.1",com.liferay.portal.ke
 rnel.service.configuration.servlet;version="1.1.0";uses:="com.liferay
 .portal.kernel.service.configuration,javax.servlet",com.liferay.porta
 l.kernel.service.http;version="1.0.0";uses:="com.liferay.portal.kerne
 l.security.auth,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.service.permission;version="5.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.security.auth,com.liferay.portal.kernel.security.permission,javax.
 portlet,javax.servlet.http",com.liferay.portal.kernel.service.persist
 ence;version="21.1.0";uses:="com.liferay.petra.sql.dsl.query,com.life
 ray.portal.kernel.dao.db,com.liferay.portal.kernel.dao.orm,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.util,javax.sql",com.liferay
 .portal.kernel.service.persistence.change.tracking;version="1.4.0";us
 es:="com.liferay.portal.kernel.change.tracking,com.liferay.portal.ker
 nel.model.change.tracking,com.liferay.portal.kernel.service.persisten
 ce",com.liferay.portal.kernel.service.persistence.change.tracking.hel
 per;version="1.1.0";uses:="com.liferay.portal.kernel.model.change.tra
 cking",com.liferay.portal.kernel.service.persistence.impl;version="4.
 1.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.query
 ,com.liferay.petra.string,com.liferay.portal.kernel.configuration,com
 .liferay.portal.kernel.dao.db,com.liferay.portal.kernel.dao.orm,com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.service,com.liferay.portal.kernel.service.persist
 ence,com.liferay.portal.kernel.util,javax.sql",com.liferay.portal.ker
 nel.service.version;version="1.1.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model.version",com.liferay.portal
 .kernel.servlet;version="12.0.0";uses:="com.liferay.petra.string,com.
 liferay.portal.kernel.log,com.liferay.portal.kernel.util,javax.portle
 t,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet
 .filters.compoundsessionid;version="7.0.0";uses:="com.liferay.portal.
 kernel.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.
 filters.invoker;version="10.0.0";uses:="com.liferay.portal.kernel.uti
 l,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet
 .taglib;version="9.0.0";uses:="com.liferay.petra.string,com.liferay.p
 ortal.kernel.log,javax.servlet,javax.servlet.http",com.liferay.portal
 .kernel.servlet.taglib.aui;version="10.1.0";uses:="com.liferay.petra.
 string,com.liferay.portal.kernel.util",com.liferay.portal.kernel.serv
 let.taglib.ui;version="11.0.0";uses:="com.liferay.petra.string,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay
 .portal.kernel.servlet.taglib.util;version="7.0.0";uses:="com.liferay
 .petra.string,com.liferay.portal.kernel.util",com.liferay.portal.kern
 el.settings;version="4.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.resource.
 manager,com.liferay.portal.kernel.settings.definition,javax.portlet",
 com.liferay.portal.kernel.settings.definition;version="2.0.0",com.lif
 eray.portal.kernel.social;version="2.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.model,com.liferay.social.ke
 rnel.service",com.liferay.portal.kernel.spring.aop;version="7.0.0";us
 es:="com.liferay.portal.kernel.service",com.liferay.portal.kernel.spr
 ing.orm;version="1.0.0",com.liferay.portal.kernel.spring.osgi;version
 ="2.0.0",com.liferay.portal.kernel.spring.util;version="7.0.0",com.li
 feray.portal.kernel.struts;version="8.0.0";uses:="javax.servlet.http"
 ,com.liferay.portal.kernel.systemevent;version="6.2.0",com.liferay.po
 rtal.kernel.template;version="15.0.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.xml,javax.servlet.http",com.lif
 eray.portal.kernel.template.comparator;version="6.2.0";uses:="com.lif
 eray.portal.kernel.template",com.liferay.portal.kernel.templateparser
 ;version="8.0.0";uses:="com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.theme,com.liferay.portal.kernel.xml",com.liferay.por
 tal.kernel.terms.of.use;version="1.0.1";uses:="javax.servlet.http",co
 m.liferay.portal.kernel.theme;version="10.5.0";uses:="com.liferay.pet
 ra.string,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.mobile.device,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.module.configuration,com.liferay
 .portal.kernel.portlet.configuration.icon,com.liferay.portal.kernel.p
 ortlet.toolbar,com.liferay.portal.kernel.security.permission,com.life
 ray.portal.kernel.util,javax.portlet,javax.servlet,javax.servlet.http
 ",com.liferay.portal.kernel.transaction;version="8.1.0",com.liferay.p
 ortal.kernel.trash;version="14.0.0";uses:="com.liferay.asset.kernel.m
 odel,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.search,com.liferay.portal.kernel.search
 .filter,com.liferay.portal.kernel.security.permission,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.util,com.liferay.trash.k
 ernel.model,javax.portlet",com.liferay.portal.kernel.trash.helper;ver
 sion="1.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,javax.portlet,javax.servlet.http",com.liferay.port
 al.kernel.tree;version="2.1.1";uses:="com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model",com.liferay.portal.kernel.upgra
 de;version="21.0.0";uses:="com.liferay.petra.lang,com.liferay.portal.
 kernel.dao.db,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.resource.bundle,com.liferay.portal.kernel.service,com.liferay.
 portal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet",com.l
 iferay.portal.kernel.upgrade.util;version="11.0.0";uses:="com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.upgrade,com.liferay.po
 rtal.kernel.version",com.liferay.portal.kernel.upload;version="10.0.0
 ";uses:="com.liferay.portal.kernel.exception,javax.portlet,javax.serv
 let.http",com.liferay.portal.kernel.upload.configuration;version="1.0
 .0",com.liferay.portal.kernel.url;version="1.1.0";uses:="javax.servle
 t",com.liferay.portal.kernel.url.validator;version="1.0.0",com.lifera
 y.portal.kernel.util;version="60.0.0";uses:="com.liferay.expando.kern
 el.model,com.liferay.mail.kernel.model,com.liferay.petra.process,com.
 liferay.petra.sql.dsl.query.sort,com.liferay.petra.string,com.liferay
 .portal.kernel.configuration,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.group.capability,com.liferay.portal.kernel.io,c
 om.liferay.portal.kernel.io.unsync,com.liferay.portal.kernel.json,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.li
 feray.portal.kernel.repository.model,com.liferay.portal.kernel.resour
 ce.bundle,com.liferay.portal.kernel.security.permission,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.settings,com.liferay.p
 ortal.kernel.spring.osgi,com.liferay.portal.kernel.theme,com.liferay.
 portal.kernel.upload,com.liferay.portal.kernel.xml,javax.mail,javax.m
 ail.internet,javax.portlet,javax.servlet,javax.servlet.http,javax.sql
 ",com.liferay.portal.kernel.util.comparator;version="3.1.0";uses:="co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet.confi
 guration.icon,com.liferay.portal.kernel.util,javax.servlet",com.lifer
 ay.portal.kernel.uuid;version="6.2.0",com.liferay.portal.kernel.verif
 y.model;version="2.1.0",com.liferay.portal.kernel.version;version="1.
 1.0",com.liferay.portal.kernel.view.count;version="1.2.0";uses:="com.
 liferay.petra.sql.dsl,com.liferay.portal.kernel.exception",com.lifera
 y.portal.kernel.webcache;version="6.2.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.portal.kernel.webdav;version="10.0.0";use
 s:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.loc
 k,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.
 permission,com.liferay.portal.kernel.webdav.methods,com.liferay.porta
 l.kernel.xml,javax.servlet.http",com.liferay.portal.kernel.webdav.met
 hods;version="6.2.0";uses:="com.liferay.portal.kernel.webdav,javax.se
 rvlet.http",com.liferay.portal.kernel.webserver;version="1.0.0",com.l
 iferay.portal.kernel.words;version="2.0.0";uses:="com.liferay.portal.
 kernel.jazzy",com.liferay.portal.kernel.workflow;version="18.2.0";use
 s:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.util,com.l
 iferay.portal.kernel.workflow.search,javax.portlet,javax.servlet.http
 ",com.liferay.portal.kernel.workflow.comparator;version="8.0.0";uses:
 ="com.liferay.portal.kernel.util,com.liferay.portal.kernel.workflow",
 com.liferay.portal.kernel.workflow.permission;version="7.0.0";uses:="
 com.liferay.portal.kernel.security.permission",com.liferay.portal.ker
 nel.workflow.search;version="1.0.0";uses:="com.liferay.portal.kernel.
 workflow",com.liferay.portal.kernel.xml;version="7.1.0";uses:="org.xm
 l.sax",com.liferay.portal.kernel.xml.simple;version="6.2.0",com.lifer
 ay.portal.kernel.xmlrpc;version="6.2.0";uses:="com.liferay.portal.ker
 nel.exception",com.liferay.portal.kernel.zip;version="6.4.2",com.life
 ray.portlet.configuration.kernel.util;version="1.0.0";uses:="javax.po
 rtlet",com.liferay.ratings.kernel;version="1.2.0",com.liferay.ratings
 .kernel.definition;version="1.1.0";uses:="com.liferay.portal.kernel.e
 xception,com.liferay.ratings.kernel",com.liferay.ratings.kernel.displ
 ay.context;version="1.0.0";uses:="com.liferay.portal.kernel.util,com.
 liferay.ratings.kernel,javax.portlet,javax.servlet.http",com.liferay.
 ratings.kernel.exception;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.ratings.kernel.model;version="4.1.0";uses
 :="com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.
 liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.l
 iferay.portal.kernel.bean,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.model.change.tracking,com.liferay.portal.kernel.model.
 wrapper,com.liferay.portal.kernel.util",com.liferay.ratings.kernel.se
 rvice;version="2.8.0";uses:="com.liferay.exportimport.kernel.lar,com.
 liferay.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.po
 rtal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.jsonwebservice
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,com
 .liferay.portal.kernel.security.access.control,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.service.change.tracking,com.lif
 eray.portal.kernel.service.persistence,com.liferay.portal.kernel.serv
 ice.persistence.change.tracking,com.liferay.portal.kernel.systemevent
 ,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.util
 ,com.liferay.ratings.kernel.model",com.liferay.ratings.kernel.service
 .persistence;version="4.3.0";uses:="com.liferay.portal.kernel.dao.orm
 ,com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.
 persistence,com.liferay.portal.kernel.service.persistence.change.trac
 king,com.liferay.portal.kernel.util,com.liferay.ratings.kernel.except
 ion,com.liferay.ratings.kernel.model",com.liferay.ratings.kernel.tran
 sformer;version="1.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.util,com.li
 feray.ratings.kernel,com.liferay.ratings.kernel.model,javax.portlet",
 com.liferay.roles.admin.kernel.util;version="2.0.0";uses:="com.lifera
 y.portal.kernel.model",com.liferay.sites.kernel.util;version="1.4.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.security.permission,com.liferay.porta
 l.kernel.service,javax.portlet,javax.servlet.http",com.liferay.social
 .kernel.exception;version="1.0.0";uses:="com.liferay.portal.kernel.ex
 ception",com.liferay.social.kernel.model;version="6.1.0";uses:="com.l
 iferay.asset.kernel.model,com.liferay.petra.sql.dsl,com.liferay.petra
 .sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.portal
 .kernel.bean,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 model.change.tracking,com.liferay.portal.kernel.model.wrapper,com.lif
 eray.portal.kernel.resource.bundle,com.liferay.portal.kernel.security
 .permission,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.theme,com.liferay.portal.kernel.util",com.liferay.social.kernel.mo
 del.impl;version="1.0.0";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.security.permission,com.liferay.portal.kerne
 l.service,com.liferay.portal.kernel.theme,com.liferay.social.kernel.m
 odel",com.liferay.social.kernel.service;version="3.3.0";uses:="com.li
 feray.asset.kernel.model,com.liferay.petra.function,com.liferay.petra
 .sql.dsl.query,com.liferay.portal.kernel.change.tracking,com.liferay.
 portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.life
 ray.portal.kernel.messaging.async,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.search,com.liferay.portal.kernel.security.acce
 ss.control,com.liferay.portal.kernel.service,com.liferay.portal.kerne
 l.service.change.tracking,com.liferay.portal.kernel.service.persisten
 ce,com.liferay.portal.kernel.service.persistence.change.tracking,com.
 liferay.portal.kernel.theme,com.liferay.portal.kernel.transaction,com
 .liferay.portal.kernel.util,com.liferay.social.kernel.model",com.life
 ray.social.kernel.service.permission;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.security.permiss
 ion",com.liferay.social.kernel.service.persistence;version="4.3.0";us
 es:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 util,com.liferay.social.kernel.exception,com.liferay.social.kernel.mo
 del",com.liferay.social.kernel.util;version="1.0.0";uses:="com.lifera
 y.portal.kernel.service,com.liferay.social.kernel.model,javax.servlet
 .http",com.liferay.social.kernel.util.comparator;version="1.1.0";uses
 :="com.liferay.portal.kernel.util,com.liferay.social.kernel.model",co
 m.liferay.trash.kernel.model;version="6.0.0";uses:="com.liferay.expan
 do.kernel.model,com.liferay.portal.kernel.annotation,com.liferay.port
 al.kernel.bean,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.util",com.liferay.users.admin.k
 ernel.file.uploads;version="2.0.0",com.liferay.users.admin.kernel.org
 anization.types;version="1.0.1",com.liferay.users.admin.kernel.util;v
 ersion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.util,javax.p
 ortlet,javax.servlet.http"
Git-Descriptor: bf2a2e5ae9e00-dirty
Git-SHA: bf2a2e5ae9e00b63ad3e83520300797fc083237b
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.1,4.2)",com
 .liferay.asset.kernel.exception;version="[3.0,4)",com.liferay.asset.k
 ernel.model;version="[10.0,10.1)",com.liferay.asset.kernel.service;ve
 rsion="[8.2,8.3)",com.liferay.asset.kernel.service.persistence;versio
 n="[10.1,11)",com.liferay.counter.kernel.service;version="[2.2,2.3)",
 com.liferay.document.library.kernel.exception;version="[4.2,5)",com.l
 iferay.document.library.kernel.model;version="[8.2,8.3)",com.liferay.
 document.library.kernel.service;version="[11.3,11.4)",com.liferay.doc
 ument.library.kernel.store;version="[5.0,5.1)",com.liferay.document.l
 ibrary.kernel.util;version="[8.0,9)",com.liferay.dynamic.data.mapping
 .kernel;version="[5.0,6)",com.liferay.expando.kernel.exception;versio
 n="[2.0,3)",com.liferay.expando.kernel.model;version="[6.0,6.1)",com.
 liferay.expando.kernel.util;version="[4.0,5)",com.liferay.exportimpor
 t.kernel.exception;version="[2.1,3)",com.liferay.exportimport.kernel.
 model;version="[6.0,6.1)",com.liferay.exportimport.kernel.service;ver
 sion="[2.10,2.11)",com.liferay.exportimport.kernel.staging;version="[
 2.3,3)",com.liferay.exportimport.kernel.staging.permission;version="[
 1.0,2)",com.liferay.layout.admin.kernel.model;version="[1.0,2)",com.l
 iferay.mail.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.se
 rvice;version="[5.0,6)",com.liferay.mail.kernel.template;version="[2.
 0,3)",com.liferay.osgi.service.tracker.collections.list,com.liferay.o
 sgi.service.tracker.collections.map,com.liferay.petra.concurrent,com.
 liferay.petra.executor,com.liferay.petra.function,com.liferay.petra.f
 unction.transform,com.liferay.petra.io.unsync,com.liferay.petra.lang,
 com.liferay.petra.memory,com.liferay.petra.nio,com.liferay.petra.proc
 ess,com.liferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.p
 etra.sql.dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql
 .dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay.petra.sql
 .dsl.query.sort,com.liferay.petra.sql.dsl.spi.ast,com.liferay.petra.s
 ql.dsl.spi.expression,com.liferay.petra.sql.dsl.spi.query,com.liferay
 .petra.string,com.liferay.portal.kernel.annotation;version="[7.0,8)",
 com.liferay.portal.kernel.application.type;version="[1.0,2)",com.life
 ray.portal.kernel.backgroundtask;version="[11.0,12)",com.liferay.port
 al.kernel.backgroundtask.display;version="[3.0,4)",com.liferay.portal
 .kernel.bean;version="[10.1,11)",com.liferay.portal.kernel.cache.thre
 ad.local;version="[2.0,3)",com.liferay.portal.kernel.cal;version="[7.
 0,8)",com.liferay.portal.kernel.change.tracking;version="[2.2,3)",com
 .liferay.portal.kernel.change.tracking.sql;version="[1.0,2)",com.life
 ray.portal.kernel.comment;version="[4.0,4.1)",com.liferay.portal.kern
 el.concurrent;version="[8.1,9)",com.liferay.portal.kernel.configurati
 on;version="[7.0,8)",com.liferay.portal.kernel.cookies;version="[3.1,
 4)",com.liferay.portal.kernel.dao.db;version="[12.1,13)",com.liferay.
 portal.kernel.dao.orm;version="[12.0,12.1)",com.liferay.portal.kernel
 .dao.search;version="[9.0,10)",com.liferay.portal.kernel.dependency.m
 anager;version="[2.0,3)",com.liferay.portal.kernel.deploy.auto.contex
 t;version="[7.0,8)",com.liferay.portal.kernel.deploy.hot;version="[7.
 1,8)",com.liferay.portal.kernel.exception;version="[13.1,14)",com.lif
 eray.portal.kernel.frontend.esm;version="[1.0,2)",com.liferay.portal.
 kernel.image;version="[10.0,11)",com.liferay.portal.kernel.increment;
 version="[7.1,8)",com.liferay.portal.kernel.io;version="[9.0,10)",com
 .liferay.portal.kernel.io.unsync;version="[8.0,9)",com.liferay.portal
 .kernel.jazzy;version="[1.0,2)",com.liferay.portal.kernel.jmx.model;v
 ersion="[7.0,8)",com.liferay.portal.kernel.jndi;version="[7.0,8)",com
 .liferay.portal.kernel.json;version="[12.0,13)",com.liferay.portal.ke
 rnel.jsonwebservice;version="[9.0,10)",com.liferay.portal.kernel.lang
 uage;version="[11.0,12)",com.liferay.portal.kernel.language.constants
 ;version="[1.0,2)",com.liferay.portal.kernel.license;version="[1.0,2)
 ",com.liferay.portal.kernel.lock;version="[9.0,10)",com.liferay.porta
 l.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.messa
 ging;version="[15.0,15.1)",com.liferay.portal.kernel.messaging.async;
 version="[6.2,7)",com.liferay.portal.kernel.mobile.device;version="[9
 .0,9.1)",com.liferay.portal.kernel.model.adapter.builder;version="[1.
 0,2)",com.liferay.portal.kernel.model.change.tracking;version="[3.0,4
 )",com.liferay.portal.kernel.model.dao;version="[2.5,3)",com.liferay.
 portal.kernel.model.impl;version="[7.2,8)",com.liferay.portal.kernel.
 model.portlet;version="[2.0,3)",com.liferay.portal.kernel.model.versi
 on;version="[3.0,4)",com.liferay.portal.kernel.model.wrapper;version=
 "[3.0,4)",com.liferay.portal.kernel.module.configuration;version="[2.
 1,3)",com.liferay.portal.kernel.module.framework;version="[1.4,2)",co
 m.liferay.portal.kernel.plugin;version="[7.0,8)",com.liferay.portal.k
 ernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portlet.bridges
 .mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.portlet.co
 nfiguration.icon.locator;version="[1.0,2)",com.liferay.portal.kernel.
 portlet.toolbar.contributor;version="[1.1,2)",com.liferay.portal.kern
 el.portlet.toolbar.contributor.locator;version="[1.0,2)",com.liferay.
 portal.kernel.repository;version="[13.0,14)",com.liferay.portal.kerne
 l.repository.capabilities;version="[2.0,2.1)",com.liferay.portal.kern
 el.repository.event;version="[1.1,2)",com.liferay.portal.kernel.repos
 itory.http.header.customizer;version="[1.0,2)",com.liferay.portal.ker
 nel.repository.model;version="[11.2,11.3)",com.liferay.portal.kernel.
 repository.registry;version="[1.1,2)",com.liferay.portal.kernel.repos
 itory.search;version="[7.0,8)",com.liferay.portal.kernel.resource;ver
 sion="[6.3,7)",com.liferay.portal.kernel.resource.manager;version="[1
 .0,2)",com.liferay.portal.kernel.scheduler;version="[18.0,19)",com.li
 feray.portal.kernel.scheduler.messaging;version="[10.0,11)",com.lifer
 ay.portal.kernel.search.background.task;version="[2.1,3)",com.liferay
 .portal.kernel.search.facet;version="[9.0,10)",com.liferay.portal.ker
 nel.search.facet.collector;version="[6.3,7)",com.liferay.portal.kerne
 l.search.facet.config;version="[8.0,9)",com.liferay.portal.kernel.sea
 rch.facet.util;version="[7.0,8)",com.liferay.portal.kernel.search.fil
 ter;version="[1.0,2)",com.liferay.portal.kernel.search.generic;versio
 n="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version="[1.
 0,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2)",co
 m.liferay.portal.kernel.search.hits;version="[2.0,3)",com.liferay.por
 tal.kernel.search.query;version="[2.0,3)",com.liferay.portal.kernel.s
 earch.result;version="[1.0,2)",com.liferay.portal.kernel.search.sugge
 st;version="[3.1,4)",com.liferay.portal.kernel.security;version="[6.2
 ,7)",com.liferay.portal.kernel.security.auth.tunnel;version="[1.0,2)"
 ,com.liferay.portal.kernel.security.auth.verifier;version="[2.0,3)",c
 om.liferay.portal.kernel.security.permission.contributor;version="[1.
 0,2)",com.liferay.portal.kernel.security.permission.propagator;versio
 n="[1.0,2)",com.liferay.portal.kernel.security.permission.resource.de
 finition;version="[1.0,2)",com.liferay.portal.kernel.security.pwd;ver
 sion="[4.0,5)",com.liferay.portal.kernel.security.xml;version="[2.0,3
 )",com.liferay.portal.kernel.service.change.tracking;version="[1.0,2)
 ",com.liferay.portal.kernel.service.configuration;version="[1.1,1.2)"
 ,com.liferay.portal.kernel.service.persistence;version="[21.1,22)",co
 m.liferay.portal.kernel.service.persistence.change.tracking;version="
 [1.4,2)",com.liferay.portal.kernel.servlet.filters.compoundsessionid;
 version="[7.0,8)",com.liferay.portal.kernel.settings;version="[4.0,5)
 ",com.liferay.portal.kernel.settings.definition;version="[2.0,3)",com
 .liferay.portal.kernel.spring.aop;version="[7.0,8)",com.liferay.porta
 l.kernel.spring.orm;version="[1.0,2)",com.liferay.portal.kernel.sprin
 g.osgi;version="[2.0,3)",com.liferay.portal.kernel.systemevent;versio
 n="[6.2,7)",com.liferay.portal.kernel.trash.helper;version="[1.1,2)",
 com.liferay.portal.kernel.upgrade;version="[21.0,22)",com.liferay.por
 tal.kernel.upgrade.util;version="[11.0,12)",com.liferay.portal.kernel
 .upload;version="[10.0,11)",com.liferay.portal.kernel.util.comparator
 ;version="[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7)",c
 om.liferay.portal.kernel.version;version="[1.1,2)",com.liferay.portal
 .kernel.webdav.methods;version="[6.2,7)",com.liferay.portal.kernel.we
 bserver;version="[1.0,2)",com.liferay.portal.kernel.workflow.permissi
 on;version="[7.0,8)",com.liferay.portal.kernel.workflow.search;versio
 n="[1.0,2)",com.liferay.portal.kernel.xml;version="[7.1,7.2)",com.lif
 eray.portal.kernel.xml.simple;version="[6.2,7)",com.liferay.portal.ke
 rnel.xmlrpc;version="[6.2,7)",com.liferay.portal.kernel.zip;version="
 [6.4,7)",com.liferay.ratings.kernel;version="[1.2,2)",com.liferay.rat
 ings.kernel.exception;version="[1.0,2)",com.liferay.ratings.kernel.mo
 del;version="[4.1,4.2)",com.liferay.ratings.kernel.service;version="[
 2.8,2.9)",com.liferay.ratings.kernel.transformer;version="[1.0,2)",co
 m.liferay.sites.kernel.util;version="[1.4,2)",com.liferay.social.kern
 el.exception;version="[1.0,2)",com.liferay.social.kernel.model;versio
 n="[6.1,6.2)",com.liferay.social.kernel.service;version="[3.3,3.4)",c
 om.liferay.social.kernel.service.persistence;version="[4.3,5)",com.li
 feray.trash.kernel.model;version="[6.0,6.1)",com.liferay.users.admin.
 kernel.file.uploads;version="[2.0,3)",javax.mail,javax.mail.internet,
 javax.management,javax.naming,javax.naming.directory,javax.net.ssl,ja
 vax.portlet,javax.portlet.annotations,javax.portlet.filter,javax.secu
 rity.auth,javax.security.auth.callback,javax.security.auth.login,java
 x.security.auth.spi,javax.servlet,javax.servlet.http,javax.sql,javax.
 xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.transform,
 org.osgi.framework,org.osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Jun 09 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Tue Jun 4 04:13:48 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 80 (Cavanaugh / Build 7413 / June 9, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 80
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
